
% LINARDKERNDIAGGRADIENT Compute the gradient of the LINARD kernel's diagonal wrt parameters.
%
%	Description:
%
%	G = LINARDKERNDIAGGRADIENT(KERN, X, FACTORS) computes the gradient
%	of functions of the diagonal of the automatic relevance
%	determination linear kernel matrix with respect to the parameters of
%	the kernel. The parameters' gradients are returned in the order
%	given by the linardKernExtractParam command.
%	 Returns:
%	  G - gradients of the relevant function with respect to each of the
%	   parameters. Ordering should match the ordering given in
%	   linardKernExtractParam.
%	 Arguments:
%	  KERN - the kernel structure for which the gradients are computed.
%	  X - the input data for which the gradient is being computed.
%	  FACTORS - partial derivatives of the function of interest with
%	   respect to the diagonal elements of the kernel.
%	
%
%	See also
%	LINARDKERNPARAMINIT, KERNDIAGGRADIENT, LINARDKERNEXTRACTPARAM, LINARDKERNGRADIENT


%	Copyright (c) 2004, 2005, 2006 Neil D. Lawrence
% 	linardKernDiagGradient.m version 1.1


